#
# spec file for package museic
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           museic
Version:        1.5.1
Release:        lp152.3.9
Summary:        Audio player with remote control
License:        GPL-3.0
Group:          Productivity/Multimedia/Sound/Players
URL:            https://github.com/bcedu
Source:         https://github.com/bcedu/MuseIC/archive/v%{version}.tar.gz#/MuseIC-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  elementary-cmake-modules
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
%glib2_gsettings_schema_requires

%description
MuseIC is a fast and simple music player with remote control from any
device through internet browser.

%prep
%setup -q -n MuseIC-%{version}

sed -i 's/\bmetainfo\b/appdata/' $(grep -rwl 'metainfo')

%build
%cmake \
    -DGSETTINGS_COMPILE=OFF

make %{?_smp_mflags}

%install
%cmake_install

rm %{buildroot}%{_datadir}/icons/hicolor/*.??g

%suse_update_desktop_file -r com.github.bcedu.museic GTK AudioVideo Music Player
%fdupes %{buildroot}/%{_datadir}

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%doc AUTHORS LICENSE README.md
%{_bindir}/com.github.bcedu.museic
%dir %{_datadir}/appdata
%{_datadir}/appdata/com.github.bcedu.museic.appdata.xml
%{_datadir}/applications/com.github.bcedu.museic.desktop
%{_datadir}/com.github.bcedu.museic/
%{_datadir}/glib-2.0/schemas/com.github.bcedu.museic.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.bcedu.museic.??g

%changelog
* Tue Jan 30 2018 avvissu@yandex.by
- Update to 1.5.1:
  * Focus current file played onclick it's name in status labelº
  * Connect open signal
  * Update interface
  * Add searchbox to search anf queque files
  * Imp artist search: use search entry
  * Add search bar for artists
  * hange shown filelist onclick an artist
  * Show artists im a liststore in a popover
  * Max volume to 2
  * Remote info as Popover
  * Bugfix: copy correctlly filelist
* Tue Nov 28 2017 avvissu@yandex.by
- Update to 1.5.0:
  * Imp cmake_uninstall
  * IMP: allow navigate throug artist without changing stream
  * Add name to filelists
* Tue Nov 21 2017 avvissu@yandex.by
- Update to 1.4.0:
  * Update appdata
  * Update screemshoot
  * Continue playing on close window
  * Update css
  * Add css support
  * Use headerbar
* Tue Nov  7 2017 avvissu@yandex.by
- Initial package
